openSUSE Security Update : Opera (openSUSE-2018-687)

Medium Nessus Plugin ID 110832

Synopsis

The remote openSUSE host is missing a security update.

Description

This update for Opera 54.0.2952.41 fixes multiple issues.

- CVE-2018-6148: Incorrect handling of CSP header (boo#1096508)

This update to version 54.0.2952.41 also contains all security and bug fixes in this upstream version, including all fixes in the chromium engine.

Solution

Update the affected Opera package.

See Also

https://bugzilla.opensuse.org/show_bug.cgi?id=1096508

https://bugzilla.opensuse.org/show_bug.cgi?id=1099568

Plugin Details

Severity: Medium

ID: 110832

File Name: openSUSE-2018-687.nasl

Version: 1.1

Type: local

Agent: unix

Published: 2018/07/02

Modified: 2018/07/02

Dependencies: 12634

Risk Information

Risk Factor: Medium

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:opera, cpe:/o:novell:opensuse:15.0, cpe:/o:novell:opensuse:42.3

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Patch Publication Date: 2018/06/30

Reference Information

CVE: CVE-2018-6148